| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::ConsoleErrorHandler Class Reference

This class prints the error messages to stderr via kdError(). More...

`#include <errorhandler.h>`

Inheritance diagram for KABC::ConsoleErrorHandler:

[legend]
Collaboration diagram for KABC::ConsoleErrorHandler:

[legend]
List of all members.

## Public Member Functions
virtual void | error (const QString &msg)

## Detailed Description

This class prints the error messages to stderr via kdError().

Definition at line 50 of file errorhandler.h.

## Member Function Documentation

void ConsoleErrorHandler::error | ( | const QString & | msg | ) | `[virtual]`

| Show error message. Implements KABC::ErrorHandler. Definition at line 31 of file errorhandler.cpp. References endl(), and kdError().

The documentation for this class was generated from the following files:

- errorhandler.h
- errorhandler.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:45 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003